Package weka.core.pmml.jaxbbindings

# Enum Class BASELINETESTSTATISTIC

java.lang.Object
java.lang.Enum<BASELINETESTSTATISTIC>
weka.core.pmml.jaxbbindings.BASELINETESTSTATISTIC

All Implemented Interfaces:
  `Serializable`, `Comparable<BASELINETESTSTATISTIC>`, `Constable`

public enum BASELINETESTSTATISTIC extends Enum<BASELINETESTSTATISTIC>

Java class for BASELINE-TEST-STATISTIC.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="BASELINE-TEST-STATISTIC">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="zValue"/>
         <enumeration value="chiSquareIndependence"/>
         <enumeration value="chiSquareDistribution"/>
         <enumeration value="CUSUM"/>
         <enumeration value="scalarProduct"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHI_SQUARE_DISTRIBUTION`
  `CHI_SQUARE_INDEPENDENCE`
  `CUSUM`
  `SCALAR_PRODUCT`
  `Z_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BASELINETESTSTATISTIC`
  `fromValue(String v)`
  `String`
  `value()`
  `static BASELINETESTSTATISTIC`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BASELINETESTSTATISTIC[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHI_SQUARE_DISTRIBUTION

    public static final BASELINETESTSTATISTIC CHI_SQUARE_DISTRIBUTION

  - ### CHI_SQUARE_INDEPENDENCE

    public static final BASELINETESTSTATISTIC CHI_SQUARE_INDEPENDENCE

  - ### CUSUM

    public static final BASELINETESTSTATISTIC CUSUM

  - ### SCALAR_PRODUCT

    public static final BASELINETESTSTATISTIC SCALAR_PRODUCT

  - ### Z_VALUE

    public static final BASELINETESTSTATISTIC Z_VALUE

- ## Method Details

  - ### values

    public static BASELINETESTSTATISTIC[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BASELINETESTSTATISTIC valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static BASELINETESTSTATISTIC fromValue(String v)